# on()

[**EIP-1193 events**](https://eips.ethereum.org/EIPS/eip-1193#events)

Registers the listener function as callback of the selected RPC event.

{% hint style="warning" %}
**Warning**

This method will always return, even if there are errors while adding the listener, for controlling errors generated during the registration process use [async onAsync(eventName, listener)](/stargazer-wallet/chain-provider-api/async-onasync.md).
{% endhint %}

**Type**

`on(eventName, listener): void`

**Parameters**

| Name      | Type      | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| --------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eventName | `String`  | Event to listen. Depeding on the provider chain one of [Constellation RPC event](https://2892156949-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FAUvaNviXuvMQPGFFlTu0%2Fuploads%2FlwMsSc6JGh3Hs9uhTPhW%2FconstellationRPCAPI?alt=media) or an [Ethereum RPC event](https://2892156949-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FAUvaNviXuvMQPGFFlTu0%2Fuploads%2FMUnqupiDBooRpr30wRuc%2FethereumRPCAPI?alt=media). |
| listener  | `()=>any` | Callback function.                                                                                                                                                                                                                                                                                                                                                                                                                                                  |

**Return Type**

`void`

**Example**

TypeScript

```typescript
provider.on("accountsChanged", () => {
  // Do something when accounts changed
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.constellationnetwork.io/stargazer-wallet/chain-provider-api/on.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
